export function isConstructorInjectDecorator(packages, decorator) {
    if (decorator.expression.type !== "CallExpression" ||
        decorator.expression.callee.type !== "Identifier") {
        return false;
    }
    const name = decorator.expression.callee.name;
    return packages.some((p) => p.injectDecorator === name || p.multiInjectDecorator === name);
}
